Skip to main content
`Ctrl`+`K`

# PetscDualSpaceSetNumComponents

Set the number of components for this space

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceSetNumComponents(PetscDualSpace sp, PetscInt Nc)

## Input Parameters

- sp - The `PetscDualSpace`

- Nc - The number of components

## See Also

`PetscDualSpaceGetNumComponents()`, `PetscDualSpaceCreate()`, `PetscDualSpace`

## Level

intermediate

## Location

src/dm/dt/dualspace/interface/dualspace.c

Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages